diff --git a/PhysicsTools/BPHNano/plugins/BToV0LLBuilder.cc b/PhysicsTools/BPHNano/plugins/BToV0LLBuilder.cc
index c505f53037b6..01c2f579327d 100644
--- a/PhysicsTools/BPHNano/plugins/BToV0LLBuilder.cc
+++ b/PhysicsTools/BPHNano/plugins/BToV0LLBuilder.cc
@@ -38,39 +38,32 @@
 
 class BToV0LLBuilder : public edm::global::EDProducer<> {
   // perhaps we need better structure here (begin run etc)
- public:
+public:
   typedef std::vector<reco::TransientTrack> TransientTrackCollection;
 
   explicit BToV0LLBuilder(const edm::ParameterSet &cfg)
       : bFieldToken_{esConsumes<MagneticField, IdealMagneticFieldRecord>()},
         pre_vtx_selection_{cfg.getParameter<std::string>("preVtxSelection")},
         post_vtx_selection_{cfg.getParameter<std::string>("postVtxSelection")},
-        dileptons_{consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("dileptons"))},
+        dileptons_{consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("dileptons"))},
         //    dileptons_kinVtxs_{consumes<std::vector<KinVtxFitter> >(
         //    cfg.getParameter<edm::InputTag>("dileptonKinVtxs") )},
-        leptons_ttracks_{consumes<TransientTrackCollection>(
-            cfg.getParameter<edm::InputTag>("leptonTransientTracks"))},
-        v0s_{consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("v0s"))},
-        v0_ttracks_{consumes<TransientTrackCollection>(
-            cfg.getParameter<edm::InputTag>("v0TransientTracks"))},
-        pu_tracks_(consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("PUtracks"))),
-        beamspot_{consumes<reco::BeamSpot>(
-            cfg.getParameter<edm::InputTag>("beamSpot"))},
+        leptons_ttracks_{consumes<TransientTrackCollection>(cfg.getParameter<edm::InputTag>("leptonTransientTracks"))},
+        v0s_{consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("v0s"))},
+        v0_ttracks_{consumes<TransientTrackCollection>(cfg.getParameter<edm::InputTag>("v0TransientTracks"))},
+        pu_tracks_(consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("PUtracks"))),
+        beamspot_{consumes<reco::BeamSpot>(cfg.getParameter<edm::InputTag>("beamSpot"))},
         dilepton_constraint_{cfg.getParameter<bool>("dileptonMassContraint")} {
     produces<pat::CompositeCandidateCollection>();
   }
 
   ~BToV0LLBuilder() override {}
 
-  void produce(edm::StreamID, edm::Event &,
-               const edm::EventSetup &) const override;
+  void produce(edm::StreamID, edm::Event &, const edm::EventSetup &) const override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions &descriptions) {}
 
- private:
+private:
   const edm::ESGetToken<MagneticField, IdealMagneticFieldRecord> bFieldToken_;
 
   // selection
@@ -88,8 +81,7 @@ class BToV0LLBuilder : public edm::global::EDProducer<> {
   const bool dilepton_constraint_;
 };
 
-void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt,
-                             edm::EventSetup const &iSetup) const {
+void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt, edm::EventSetup const &iSetup) const {
   // input
   edm::Handle<pat::CompositeCandidateCollection> dileptons;
   evt.getByToken(dileptons_, dileptons);
@@ -114,8 +106,7 @@ void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt,
   AnalyticalImpactPointExtrapolator extrapolator(&bField);
 
   // output
-  std::unique_ptr<pat::CompositeCandidateCollection> ret_val(
-      new pat::CompositeCandidateCollection());
+  std::unique_ptr<pat::CompositeCandidateCollection> ret_val(new pat::CompositeCandidateCollection());
 
   // access V0
   for (size_t v0_idx = 0; v0_idx < v0s->size(); ++v0_idx) {
@@ -143,24 +134,22 @@ void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt,
       cand.addUserFloat("max_dr", dr_info.second);
 
       // built B
-      if (!pre_vtx_selection_(cand)) continue;
+      if (!pre_vtx_selection_(cand))
+        continue;
 
-      KinVtxFitter fitter({leptons_ttracks->at(l1_idx),
-                           leptons_ttracks->at(l2_idx), v0_ttracks->at(v0_idx)},
+      KinVtxFitter fitter({leptons_ttracks->at(l1_idx), leptons_ttracks->at(l2_idx), v0_ttracks->at(v0_idx)},
                           {l1_ptr->mass(), l2_ptr->mass(), v0_ptr->mass()},
                           {LEP_SIGMA, LEP_SIGMA, v0_ptr->userFloat("massErr")});
 
-      if (!fitter.success()) continue;
+      if (!fitter.success())
+        continue;
 
-      cand.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(),
-                                            fitter.fitted_vtx().y(),
-                                            fitter.fitted_vtx().z()));
+      cand.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(), fitter.fitted_vtx().y(), fitter.fitted_vtx().z()));
 
       cand.addUserFloat("sv_chi2", fitter.chi2());
       cand.addUserFloat("sv_ndof", fitter.dof());
       cand.addUserFloat("sv_prob", fitter.prob());
-      cand.addUserFloat("fitted_mll",
-                        (fitter.daughter_p4(0) + fitter.daughter_p4(1)).mass());
+      cand.addUserFloat("fitted_mll", (fitter.daughter_p4(0) + fitter.daughter_p4(1)).mass());
       cand.addUserFloat("fitted_v0_mass", fitter.daughter_p4(2).mass());
 
       auto fit_p4 = fitter.fitted_p4();
@@ -168,27 +157,22 @@ void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt,
       cand.addUserFloat("fitted_eta", fit_p4.eta());
       cand.addUserFloat("fitted_phi", fit_p4.phi());
       cand.addUserFloat("fitted_mass", fitter.fitted_candidate().mass());
-      cand.addUserFloat(
-          "fitted_massErr",
-          sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(
-              6, 6)));
-      cand.addUserFloat("cos_theta_2D",
-                        cos_theta_2D(fitter, *beamspot, cand.p4()));
-      cand.addUserFloat("fitted_cos_theta_2D",
-                        cos_theta_2D(fitter, *beamspot, fit_p4));
+      cand.addUserFloat("fitted_massErr", sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
+      cand.addUserFloat("cos_theta_2D", cos_theta_2D(fitter, *beamspot, cand.p4()));
+      cand.addUserFloat("fitted_cos_theta_2D", cos_theta_2D(fitter, *beamspot, fit_p4));
 
       auto lxy = l_xy(fitter, *beamspot);
       cand.addUserFloat("l_xy", lxy.value());
       cand.addUserFloat("l_xy_unc", lxy.error());
 
-      TrajectoryStateOnSurface tsos = extrapolator.extrapolate(
-          v0_ttracks->at(v0_idx).impactPointState(), fitter.fitted_vtx());
-      std::pair<bool, Measurement1D> cur2DIP = signedTransverseImpactParameter(
-          tsos, fitter.fitted_refvtx(), *beamspot);
+      TrajectoryStateOnSurface tsos =
+          extrapolator.extrapolate(v0_ttracks->at(v0_idx).impactPointState(), fitter.fitted_vtx());
+      std::pair<bool, Measurement1D> cur2DIP = signedTransverseImpactParameter(tsos, fitter.fitted_refvtx(), *beamspot);
       cand.addUserFloat("v0_svip2d", cur2DIP.second.value());
       cand.addUserFloat("v0_svip2d_err", cur2DIP.second.error());
 
-      if (!post_vtx_selection_(cand)) continue;
+      if (!post_vtx_selection_(cand))
+        continue;
 
       cand.addUserFloat("vtx_x", cand.vx());
       cand.addUserFloat("vtx_y", cand.vy());
@@ -205,12 +189,9 @@ void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt,
       // refitted daughters (leptons/tracks)
       std::vector<std::string> dnames{"l1", "l2", "v0"};
       for (size_t idaughter = 0; idaughter < dnames.size(); idaughter++) {
-        cand.addUserFloat("fitted_" + dnames[idaughter] + "_pt",
-                          fitter.daughter_p4(idaughter).pt());
-        cand.addUserFloat("fitted_" + dnames[idaughter] + "_eta",
-                          fitter.daughter_p4(idaughter).eta());
-        cand.addUserFloat("fitted_" + dnames[idaughter] + "_phi",
-                          fitter.daughter_p4(idaughter).phi());
+        cand.addUserFloat("fitted_" + dnames[idaughter] + "_pt", fitter.daughter_p4(idaughter).pt());
+        cand.addUserFloat("fitted_" + dnames[idaughter] + "_eta", fitter.daughter_p4(idaughter).eta());
+        cand.addUserFloat("fitted_" + dnames[idaughter] + "_phi", fitter.daughter_p4(idaughter).phi());
       }
 
       // compute isolation
@@ -231,20 +212,17 @@ void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt,
       const double jpsi_bin[2] = {2.8, 3.35};
       const double psi2s_bin[2] = {3.45, 3.85};
 
-      if (dilepton_constraint_ &&
-          ((dilepton_mass > jpsi_bin[0] && dilepton_mass < jpsi_bin[1]) ||
-           (dilepton_mass > psi2s_bin[0] && dilepton_mass < psi2s_bin[1]))) {
+      if (dilepton_constraint_ && ((dilepton_mass > jpsi_bin[0] && dilepton_mass < jpsi_bin[1]) ||
+                                   (dilepton_mass > psi2s_bin[0] && dilepton_mass < psi2s_bin[1]))) {
         ParticleMass JPsi_mass = 3.0969;   // Jpsi mass 3.096900±0.000006
         ParticleMass Psi2S_mass = 3.6861;  // Psi2S mass 3.6861093±0.0000034
-        ParticleMass mass_constraint =
-            (dilepton_mass < jpsi_bin[1]) ? JPsi_mass : Psi2S_mass;
+        ParticleMass mass_constraint = (dilepton_mass < jpsi_bin[1]) ? JPsi_mass : Psi2S_mass;
 
         // Mass constraint is applied to the first two particles in the
         // "particles" vector Make sure that the first two particles are the
         // ones you want to constrain
         KinVtxFitter constraint_fitter(
-            {leptons_ttracks->at(l1_idx), leptons_ttracks->at(l2_idx),
-             v0_ttracks->at(v0_idx)},
+            {leptons_ttracks->at(l1_idx), leptons_ttracks->at(l2_idx), v0_ttracks->at(v0_idx)},
             {l1_ptr->mass(), l2_ptr->mass(), v0_ptr->mass()},
             {LEP_SIGMA, LEP_SIGMA, v0_ptr->userFloat("massErr")},
             mass_constraint);
@@ -254,16 +232,11 @@ void BToV0LLBuilder::produce(edm::StreamID, edm::Event &evt,
           cand.addUserFloat("constraint_pt", constraint_p4.pt());
           cand.addUserFloat("constraint_eta", constraint_p4.eta());
           cand.addUserFloat("constraint_phi", constraint_p4.phi());
-          cand.addUserFloat("constraint_mass",
-                            constraint_fitter.fitted_candidate().mass());
+          cand.addUserFloat("constraint_mass", constraint_fitter.fitted_candidate().mass());
           cand.addUserFloat("constraint_massErr",
-                            sqrt(constraint_fitter.fitted_candidate()
-                                     .kinematicParametersError()
-                                     .matrix()(6, 6)));
+                            sqrt(constraint_fitter.fitted_candidate().kinematicParametersError().matrix()(6, 6)));
           cand.addUserFloat("constraint_mll",
-                            (constraint_fitter.daughter_p4(0) +
-                             constraint_fitter.daughter_p4(1))
-                                .mass());
+                            (constraint_fitter.daughter_p4(0) + constraint_fitter.daughter_p4(1)).mass());
         }
       }
 
diff --git a/PhysicsTools/BPHNano/plugins/CandMCMatchTableProducerBPH.cc b/PhysicsTools/BPHNano/plugins/CandMCMatchTableProducerBPH.cc
index dbb0f54aeacf..e64f1dfc6fe3 100644
--- a/PhysicsTools/BPHNano/plugins/CandMCMatchTableProducerBPH.cc
+++ b/PhysicsTools/BPHNano/plugins/CandMCMatchTableProducerBPH.cc
@@ -17,18 +17,15 @@
 #include "FWCore/ParameterSet/interface/ParameterSetDescription.h"
 
 class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
- public:
+public:
   CandMCMatchTableProducerBPH(edm::ParameterSet const& params)
       : objName_(params.getParameter<std::string>("objName")),
         objBranchName_(params.getParameter<std::string>("objBranchName")),
         genBranchName_(params.getParameter<std::string>("genBranchName")),
         doc_(params.getParameter<std::string>("docString")),
-        recoObjects_(consumes<reco::CandidateView>(
-            params.getParameter<edm::InputTag>("recoObjects"))),
-        genParts_(consumes<reco::GenParticleCollection>(
-            params.getParameter<edm::InputTag>("genParts"))),
-        candMap_(consumes<edm::Association<reco::GenParticleCollection>>(
-            params.getParameter<edm::InputTag>("mcMap"))) {
+        recoObjects_(consumes<reco::CandidateView>(params.getParameter<edm::InputTag>("recoObjects"))),
+        genParts_(consumes<reco::GenParticleCollection>(params.getParameter<edm::InputTag>("genParts"))),
+        candMap_(consumes<edm::Association<reco::GenParticleCollection>>(params.getParameter<edm::InputTag>("mcMap"))) {
     produces<nanoaod::FlatTable>();
     const std::string& type = params.getParameter<std::string>("objType");
     if (type == "Muon")
@@ -44,8 +41,7 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
     else if (type == "Other")
       type_ = MOther;
     else
-      throw cms::Exception("Configuration",
-                           "Unsupported objType '" + type + "'\n");
+      throw cms::Exception("Configuration", "Unsupported objType '" + type + "'\n");
 
     std::cout << "type = " << type << std::endl;
     switch (type_) {
@@ -64,8 +60,7 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
             "511 = from B0, 521 = from B+/-, 0 = unknown or unmatched";
         break;
       case MPhoton:
-        flavDoc_ =
-            "1 = prompt photon, 13 = prompt electron, 0 = unknown or unmatched";
+        flavDoc_ = "1 = prompt photon, 13 = prompt electron, 0 = unknown or unmatched";
         break;
       case MTau:
         flavDoc_ =
@@ -84,15 +79,14 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
     }
 
     if (type_ == MTau) {
-      candMapVisTau_ = consumes<edm::Association<reco::GenParticleCollection>>(
-          params.getParameter<edm::InputTag>("mcMapVisTau"));
+      candMapVisTau_ =
+          consumes<edm::Association<reco::GenParticleCollection>>(params.getParameter<edm::InputTag>("mcMapVisTau"));
     }
   }
 
   ~CandMCMatchTableProducerBPH() override {}
 
-  void produce(edm::StreamID id, edm::Event& iEvent,
-               const edm::EventSetup& iSetup) const override {
+  void produce(edm::StreamID id, edm::Event& iEvent, const edm::EventSetup& iSetup) const override {
     edm::Handle<reco::CandidateView> cands;
     iEvent.getByToken(recoObjects_, cands);
     unsigned int ncand = cands->size();
@@ -101,10 +95,8 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
     iEvent.getByToken(genParts_, gen_parts);
     unsigned int ngen = gen_parts->size();
 
-    auto tab =
-        std::make_unique<nanoaod::FlatTable>(ncand, objName_, false, true);
-    auto tab_reverse =
-        std::make_unique<nanoaod::FlatTable>(ngen, "GenPart", false, true);
+    auto tab = std::make_unique<nanoaod::FlatTable>(ncand, objName_, false, true);
+    auto tab_reverse = std::make_unique<nanoaod::FlatTable>(ngen, "GenPart", false, true);
 
     edm::Handle<edm::Association<reco::GenParticleCollection>> map;
     iEvent.getByToken(candMap_, map);
@@ -142,32 +134,24 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
           break;
         case MElectron:
           if (match->isPromptFinalState())
-            flav[i] =
-                (match->pdgId() == 22 ? 22 : 1);  // prompt electron or photon
+            flav[i] = (match->pdgId() == 22 ? 22 : 1);  // prompt electron or photon
           else
             flav[i] = getParentHadronFlag(match);  // pdgId of mother
           break;
         case MPhoton:
           if (match->isPromptFinalState())
-            flav[i] =
-                (match->pdgId() == 22 ? 1 : 13);  // prompt electron or photon
+            flav[i] = (match->pdgId() == 22 ? 1 : 13);  // prompt electron or photon
           break;
         case MTau:
           // CV: assignment of status codes according to
           // https://twiki.cern.ch/twiki/bin/viewauth/CMS/HiggsToTauTauWorking2016#MC_Matching
-          if (match.isNonnull() && match->statusFlags().isPrompt() &&
-              abs(match->pdgId()) == 11)
+          if (match.isNonnull() && match->statusFlags().isPrompt() && abs(match->pdgId()) == 11)
             flav[i] = 1;
-          else if (match.isNonnull() && match->statusFlags().isPrompt() &&
-                   abs(match->pdgId()) == 13)
+          else if (match.isNonnull() && match->statusFlags().isPrompt() && abs(match->pdgId()) == 13)
             flav[i] = 2;
-          else if (match.isNonnull() &&
-                   match->isDirectPromptTauDecayProductFinalState() &&
-                   abs(match->pdgId()) == 11)
+          else if (match.isNonnull() && match->isDirectPromptTauDecayProductFinalState() && abs(match->pdgId()) == 11)
             flav[i] = 3;
-          else if (match.isNonnull() &&
-                   match->isDirectPromptTauDecayProductFinalState() &&
-                   abs(match->pdgId()) == 13)
+          else if (match.isNonnull() && match->isDirectPromptTauDecayProductFinalState() && abs(match->pdgId()) == 13)
             flav[i] = 4;
           else if (matchVisTau.isNonnull())
             flav[i] = 5;
@@ -183,12 +167,9 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
       };
     }
 
-    tab->addColumn<int>(objBranchName_ + "Idx", key,
-                        "Index into genParticle list for " + doc_);
-    tab->addColumn<int>(objBranchName_ + "Flav", flav,
-                        "Flavour of genParticle for " + doc_ + ": " + flavDoc_);
-    tab_reverse->addColumn<int>(genBranchName_ + "Idx", genkey,
-                                "Index into genParticle list for " + doc_);
+    tab->addColumn<int>(objBranchName_ + "Idx", key, "Index into genParticle list for " + doc_);
+    tab->addColumn<int>(objBranchName_ + "Flav", flav, "Flavour of genParticle for " + doc_ + ": " + flavDoc_);
+    tab_reverse->addColumn<int>(genBranchName_ + "Idx", genkey, "Index into genParticle list for " + doc_);
 
     iEvent.put(std::move(tab));
     iEvent.put(std::move(tab_reverse));
@@ -198,7 +179,8 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
     for (unsigned int im = 0, nm = match->numberOfMothers(); im < nm; ++im) {
       reco::GenParticleRef mom = match->motherRef(im);
       assert(mom.isNonnull() && mom.isAvailable());  // sanity
-      if (mom.key() >= match.key()) continue;        // prevent circular refs
+      if (mom.key() >= match.key())
+        continue;  // prevent circular refs
       int id = std::abs(mom->pdgId());
       return id;
     }
@@ -207,8 +189,7 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
 
   static void fillDescriptions(edm::ConfigurationDescriptions& descriptions) {
     edm::ParameterSetDescription desc;
-    desc.add<std::string>("objName")->setComment(
-        "name of the nanoaod::FlatTable to extend with this table");
+    desc.add<std::string>("objName")->setComment("name of the nanoaod::FlatTable to extend with this table");
     desc.add<std::string>("objBranchName")
         ->setComment(
             "name of the column to write (the final branch in the nanoaod will "
@@ -217,8 +198,7 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
         ->setComment(
             "name of the column to write (the final branch in the nanoaod will "
             "be <objName>_<branchName>Idx and <objName>_<branchName>Flav");
-    desc.add<std::string>("docString")
-        ->setComment("documentation to forward to the output");
+    desc.add<std::string>("docString")->setComment("documentation to forward to the output");
     desc.add<edm::InputTag>("recoObjects")
         ->setComment(
             "physics object collection for the reconstructed objects (e.g. "
@@ -240,14 +220,12 @@ class CandMCMatchTableProducerBPH : public edm::global::EDProducer<> {
     descriptions.add("candMcMatchTable", desc);
   }
 
- protected:
+protected:
   const std::string objName_, objBranchName_, genBranchName_, doc_;
   const edm::EDGetTokenT<reco::CandidateView> recoObjects_;
   const edm::EDGetTokenT<reco::GenParticleCollection> genParts_;
-  const edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>>
-      candMap_;
-  edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>>
-      candMapVisTau_;
+  const edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>> candMap_;
+  edm::EDGetTokenT<edm::Association<reco::GenParticleCollection>> candMapVisTau_;
   enum MatchType { MMuon, MElectron, MTau, MPhoton, MTrack, MOther } type_;
   std::string flavDoc_;
 };
diff --git a/PhysicsTools/BPHNano/plugins/DiLeptonBuilder.cc b/PhysicsTools/BPHNano/plugins/DiLeptonBuilder.cc
index 55ecc8d25432..38219efbccf5 100644
--- a/PhysicsTools/BPHNano/plugins/DiLeptonBuilder.cc
+++ b/PhysicsTools/BPHNano/plugins/DiLeptonBuilder.cc
@@ -23,7 +23,7 @@
 template <typename Lepton>
 class DiLeptonBuilder : public edm::global::EDProducer<> {
   // perhaps we need better structure here (begin run etc)
- public:
+public:
   typedef std::vector<Lepton> LeptonCollection;
   typedef std::vector<reco::TransientTrack> TransientTrackCollection;
 
@@ -32,35 +32,28 @@ class DiLeptonBuilder : public edm::global::EDProducer<> {
         l2_selection_{cfg.getParameter<std::string>("lep2Selection")},
         pre_vtx_selection_{cfg.getParameter<std::string>("preVtxSelection")},
         post_vtx_selection_{cfg.getParameter<std::string>("postVtxSelection")},
-        src_{
-            consumes<LeptonCollection>(cfg.getParameter<edm::InputTag>("src"))},
-        ttracks_src_{consumes<TransientTrackCollection>(
-            cfg.getParameter<edm::InputTag>("transientTracksSrc"))} {
+        src_{consumes<LeptonCollection>(cfg.getParameter<edm::InputTag>("src"))},
+        ttracks_src_{consumes<TransientTrackCollection>(cfg.getParameter<edm::InputTag>("transientTracksSrc"))} {
     produces<pat::CompositeCandidateCollection>("SelectedDiLeptons");
   }
 
   ~DiLeptonBuilder() override {}
 
-  void produce(edm::StreamID, edm::Event &,
-               const edm::EventSetup &) const override;
+  void produce(edm::StreamID, edm::Event &, const edm::EventSetup &) const override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions &descriptions) {}
 
- private:
-  const StringCutObjectSelector<Lepton> l1_selection_;  // cut on leading lepton
-  const StringCutObjectSelector<Lepton>
-      l2_selection_;  // cut on sub-leading lepton
-  const StringCutObjectSelector<pat::CompositeCandidate>
-      pre_vtx_selection_;  // cut on the di-lepton before the SV fit
-  const StringCutObjectSelector<pat::CompositeCandidate>
-      post_vtx_selection_;  // cut on the di-lepton after the SV fit
+private:
+  const StringCutObjectSelector<Lepton> l1_selection_;                         // cut on leading lepton
+  const StringCutObjectSelector<Lepton> l2_selection_;                         // cut on sub-leading lepton
+  const StringCutObjectSelector<pat::CompositeCandidate> pre_vtx_selection_;   // cut on the di-lepton before the SV fit
+  const StringCutObjectSelector<pat::CompositeCandidate> post_vtx_selection_;  // cut on the di-lepton after the SV fit
   const edm::EDGetTokenT<LeptonCollection> src_;
   const edm::EDGetTokenT<TransientTrackCollection> ttracks_src_;
 };
 
 template <typename Lepton>
-void DiLeptonBuilder<Lepton>::produce(edm::StreamID, edm::Event &evt,
-                                      edm::EventSetup const &) const {
+void DiLeptonBuilder<Lepton>::produce(edm::StreamID, edm::Event &evt, edm::EventSetup const &) const {
   // input
   edm::Handle<LeptonCollection> leptons;
   evt.getByToken(src_, leptons);
@@ -69,18 +62,18 @@ void DiLeptonBuilder<Lepton>::produce(edm::StreamID, edm::Event &evt,
   evt.getByToken(ttracks_src_, ttracks);
 
   // output
-  std::unique_ptr<pat::CompositeCandidateCollection> ret_value(
-      new pat::CompositeCandidateCollection());
-  std::unique_ptr<std::vector<KinVtxFitter> > kinVtx_out(
-      new std::vector<KinVtxFitter>);
+  std::unique_ptr<pat::CompositeCandidateCollection> ret_value(new pat::CompositeCandidateCollection());
+  std::unique_ptr<std::vector<KinVtxFitter> > kinVtx_out(new std::vector<KinVtxFitter>);
 
   for (size_t l1_idx = 0; l1_idx < leptons->size(); ++l1_idx) {
     edm::Ptr<Lepton> l1_ptr(leptons, l1_idx);
-    if (!l1_selection_(*l1_ptr)) continue;
+    if (!l1_selection_(*l1_ptr))
+      continue;
 
     for (size_t l2_idx = l1_idx + 1; l2_idx < leptons->size(); ++l2_idx) {
       edm::Ptr<Lepton> l2_ptr(leptons, l2_idx);
-      if (!l2_selection_(*l2_ptr)) continue;
+      if (!l2_selection_(*l2_ptr))
+        continue;
 
       pat::CompositeCandidate lepton_pair;
       lepton_pair.setP4(l1_ptr->p4() + l2_ptr->p4());
@@ -98,27 +91,21 @@ void DiLeptonBuilder<Lepton>::produce(edm::StreamID, edm::Event &evt,
         continue;  // before making the SV, cut on the info we have
 
       KinVtxFitter fitter(
-          {ttracks->at(l1_idx), ttracks->at(l2_idx)},
-          {l1_ptr->mass(), l2_ptr->mass()},
-          {LEP_SIGMA, LEP_SIGMA}  // some small sigma for the particle mass
+          {ttracks->at(l1_idx), ttracks->at(l2_idx)}, {l1_ptr->mass(), l2_ptr->mass()}, {LEP_SIGMA, LEP_SIGMA}
+          // some small sigma for the particle mass
       );
-      if (!fitter.success()) continue;
-      lepton_pair.setVertex(reco::Candidate::Point(fitter.fitted_vtx().x(),
-                                                   fitter.fitted_vtx().y(),
-                                                   fitter.fitted_vtx().z()));
+      if (!fitter.success())
+        continue;
+      lepton_pair.setVertex(
+          reco::Candidate::Point(fitter.fitted_vtx().x(), fitter.fitted_vtx().y(), fitter.fitted_vtx().z()));
       lepton_pair.addUserInt("sv_ok", fitter.success() ? 1 : 0);
       lepton_pair.addUserFloat("sv_chi2", fitter.chi2());
       lepton_pair.addUserFloat("sv_ndof", fitter.dof());  // float??
       lepton_pair.addUserFloat("sv_prob", fitter.prob());
+      lepton_pair.addUserFloat("fitted_mass", fitter.success() ? fitter.fitted_candidate().mass() : -1);
       lepton_pair.addUserFloat(
-          "fitted_mass",
-          fitter.success() ? fitter.fitted_candidate().mass() : -1);
-      lepton_pair.addUserFloat("fitted_massErr",
-                               fitter.success()
-                                   ? sqrt(fitter.fitted_candidate()
-                                              .kinematicParametersError()
-                                              .matrix()(6, 6))
-                                   : -1);
+          "fitted_massErr",
+          fitter.success() ? sqrt(fitter.fitted_candidate().kinematicParametersError().matrix()(6, 6)) : -1);
       lepton_pair.addUserFloat("vtx_x", lepton_pair.vx());
       lepton_pair.addUserFloat("vtx_y", lepton_pair.vy());
       lepton_pair.addUserFloat("vtx_z", lepton_pair.vz());
@@ -126,7 +113,8 @@ void DiLeptonBuilder<Lepton>::produce(edm::StreamID, edm::Event &evt,
       // if needed, add here more stuff
 
       // cut on the SV info
-      if (!post_vtx_selection_(lepton_pair)) continue;
+      if (!post_vtx_selection_(lepton_pair))
+        continue;
       ret_value->push_back(lepton_pair);
     }
   }
